### Type parameters

- #### T: Layout

### Hierarchy

- JsonFormsBaseRenderer
  - LayoutRenderer
    - HorizontalLayoutRenderer
    - VerticalLayoutRenderer
    - GroupLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- elements
- hidden
- ngRedux
- path
- schema
- subscription
- uischema

### Accessors

- renderProps

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new LayoutRenderer(ngRedux: NgRedux<JsonFormsState>): LayoutRenderer

- - Defined in layouts/layout.renderer.ts:43

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns LayoutRenderer

## Properties

### Private elements

elements: OwnPropsOfRenderer[]

- Defined in layouts/layout.renderer.ts:41

### hidden

hidden: boolean

- Defined in layouts/layout.renderer.ts:42

### Private ngRedux

ngRedux: NgRedux<JsonFormsState>

- Defined in layouts/layout.renderer.ts:45

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### Private subscription

subscription: Subscription

- Defined in layouts/layout.renderer.ts:43

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Accessors

### renderProps

- get renderProps(): OwnPropsOfRenderer[]

- - Defined in layouts/layout.renderer.ts:75

  #### Returns OwnPropsOfRenderer[]

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in layouts/layout.renderer.ts:69

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in layouts/layout.renderer.ts:49

  #### Returns void

Generated using TypeDoc